<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV108-60-g39033a71:2024-08-14#

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use Throwable;
use Platiti\GPWebPayGpeNs\UniModul\Http;
use Platiti\GPWebPayGpeNs\PrestaShop\PrestaAdapter;
use Platiti\GPWebPayGpeNs\UniModul\UniErr;

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/../../init.php');
require_once dirname(__FILE__).'/PrestaAdapter.php';

try {
	UniErr::begin();

	session_start();
	$uniModulName = $_GET['_uniModul'];
	if (!$uniModulName) $uniModulName = $_GET['_unimodul']; // v jedne verzi bylo na PrestaAdapter nestandardne malymi pismeny _unimodul, asi jen jedna instalace. Takze pro zachovani zpetne kompatibility
	$adapter = new PrestaAdapter($uniModulName);
	parse_str($_SERVER['QUERY_STRING'], $cbArgs);
	$adapter->uniModul->processCallbackRequest(Http::get('_callbackName'), $cbArgs); /** @phpstan-ignore-line */
	UniErr::end();
} catch (Exception $ex) {
	UniErr::exception($ex);
} catch (Throwable $ex) {
	UniErr::exception($ex);
}
