<?php

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use Throwable;
use ModuleFrontController;
use Platiti\GPWebPayGpeNs\UniModul\Http;
use Platiti\GPWebPayGpeNs\UniModul\UniErr;

class PrestaAdapterCallbackModuleFrontController extends ModuleFrontController {

	public $ssl = true;

	/**
	 * @return void
	 */
	public function initContent() {
		parent::initContent();
		try {
			UniErr::begin();

			parse_str($_SERVER['QUERY_STRING'], $cbArgs);
			/** @var array<string, string> $cbArgs */ $cbArgs = $cbArgs;   // assuming unique GET parameter names
			/** @var PrestaAdapter */ // not exactly, but PrestaAdapter uses the needed trait PrestaAdapterTrait
			$module = $this->module;
			$module->uniModul->processCallbackRequest(Http::get('_callbackName'), $cbArgs);

			UniErr::end();
		} catch (Exception $ex) {
			UniErr::exception($ex);
		} catch (Throwable $ex) {
			UniErr::exception($ex);
		}
	}

	/**
     * @param mixed $content
     * @return void
     */
	protected function smartyOutputContent($content) {
		// no smarty output
	}


}

