<?php

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use Throwable;
use ModuleFrontController;
use Platiti\GPWebPayGpeNs\UniModul\UniErr;

class PrestaAdapterRedirectModuleFrontController extends ModuleFrontController {

	public $ssl = true;

	/**
	 * @return void
	 */
	public function initContent() {
		parent::initContent();
		try {
			UniErr::begin();

			/** @var PrestaAdapter */ // not exactly, but PrestaAdapter uses the needed trait PrestaAdapterTrait
			$module = $this->module;
			$module->redirectToGatewayPage();

			if ("GPWebPayGpeNs" == "Pti"."UniNs") { // @phpstan-ignore-line
				$moduleName = "PrestaAdapter";
			} else {
				$moduleName = $module->name;
			}
			if (_PS_VERSION_ >= '1.7.0') {
				$this->setTemplate("module:{$moduleName}/views/templates/front/redirect.17.tpl");
			} else {
				$this->template = _PS_ROOT_DIR_."/modules/{$moduleName}/views/templates/front/redirect.15.tpl";  // setTemplate nelze pouzit, protoze chce aktualni binder a adresar view/front/
			}

			UniErr::end();
		} catch (Exception $ex) {
			UniErr::exception($ex);
		} catch (Throwable $ex) {
			UniErr::exception($ex);
		}
	}

}

