<?php

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use Throwable;
use Language;
use ModuleFrontController;
use Platiti\GPWebPayGpeNs\UniModul\UniErr;

class PrestaAdapterReplyModuleFrontController extends ModuleFrontController {

	public $ssl = true;

	/**
	 * @return void
	 */
	public function initContent() {
		parent::initContent();
		try {
			UniErr::begin();

			global $cookie;
			$language = Language::getIsoById($cookie->id_lang ? (int)($cookie->id_lang) : 1);
			/** @var PrestaAdapter */ // not exactly, but PrestaAdapter uses the needed trait PrestaAdapterTrait
			$module = $this->module;
			$orderReplyStatus = $module->uniModul->gatewayReceiveReply(strval($language));
			$module->procesReplyStatus($orderReplyStatus, true);

			UniErr::end();
		} catch (Exception $ex) {
			UniErr::exception($ex);
		} catch (Throwable $ex) {
			UniErr::exception($ex);
		}
	}

	/**
     * @param mixed $content
	 * @return void
     */
	protected function smartyOutputContent($content) {
		// no smarty output
	}

}

